package com.wd.workoffice.ui.adapter;


import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.ProPriceBean;
import com.wd.workoffice.bean.ProfitBean;
import com.wd.workoffice.util.MathUtils;

import java.util.List;

/**
 * Created by flexible on 2018/8/13.
 */

public class WorkProfitAdapter extends BaseQuickAdapter<ProfitBean.PageBean.RecordsBean, BaseViewHolder> {

    public WorkProfitAdapter(int layoutResId, List data) {
        super(layoutResId, data);
    }


    @Override
    protected void convert(BaseViewHolder helper, ProfitBean.PageBean.RecordsBean item) {
        helper.setText(R.id.tv_no, item.getOrderId());
        helper.setText(R.id.tv_time, item.getLaunchOrderDate());
        helper.setText(R.id.tv_cost, MathUtils.converData(item.getInnerPrice(),3));
        helper.setText(R.id.tv_sale, MathUtils.converData(item.getOuterPrice(),3));
    }
}

